package jwt

import "time"

type options struct {
	expire time.Duration
	salt   []byte
}

type Option func(*options)

func WithSalt(salt string) Option {
	return func(o *options) {
		o.salt = []byte(salt)
	}
}

func WithExpire(expire time.Duration) Option {
	return func(o *options) {
		o.expire = expire
	}
}
